Subject: Re: [PATCH] have merge put FETCH_HEAD data in commit message

From: Jakub Narebski <[email-masked]>
Date: Sat, 24 Mar 2007 01:03:54 +0100

J. Bruce Fields wrote:
> On Fri, Mar 23, 2007 at 03:23:55PM +0100, Jakub Narebski wrote:
>> J. Bruce Fields wrote:
>>> 
>>> The input to git-am is email, not log messages.
>> 
>> But that means that commit message which doesn't have empty line after
>> first line cannot be send via git-send-email + git-am without changes,
>> not be subject to git-rebase (which uses git-am machinery unless invoked
>> with --merge option) without changing commit message, isn't it?
> 
> Yup.
> 
> Doesn't seem like a big deal to me.  But then it'd also seem more
> sensible to me if git-rebase worked directly with the original commits
> rather than going through git-format-patch/git-am.  Maybe what I want is
> a git-cherry-pick that will accept a range.

git-rebase works directly with original commits if you use merge driven
git-rebase, with --merge option (or -s <strategy> option, which implies
--merge), which is present since Jun 21, 2006.

BTW. I do wonder if "git rebase --merge" accepts and honors -C<n> option...

-- 
Jakub Narebski
Poland